package oop3_dat3_u;

/**
 * Implementieren Sie das Interface IList in zwei Klassen:
 * Diese Klasse verwendet ArrayList, um die Liste zu implementieren.
 *
 * Ich habe das ganze ein wenig abgeändert, damit es möglichst keine
 * Code-Duplikationen gibt...
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class Main
{

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        // ListOne: ArrayList
        System.out.println("----- List One / ArrayList -----------------------------");
        ListOne myListOne = new ListOne();
        myListOne.add((Integer) 1);
        myListOne.add((Integer) 2);
        myListOne.add((Integer) 3);
        myListOne.add((Integer) 5);
        myListOne.add((Integer) 10);
        myListOne.add((Integer) 23);
        myListOne.add((Integer) 5);
        myListOne.add((Integer) 25);

        System.out.println("myListOne:");
        myListOne.print();

        System.out.println("Remove Integer 3");
        myListOne.remove((Integer) 3);
        myListOne.print();

        System.out.println("Remove value 23");
        myListOne.removeValue(23);
        myListOne.print();

        System.out.println("Remove all 5");
        myListOne.removeValues(5);
        myListOne.print();

        // List Two: LinkedList
        System.out.println("----- List Two / LinkedList ----------------------------");
        ListTwo myListTwo = new ListTwo();
        myListTwo.add((Integer) 1);
        myListTwo.add((Integer) 2);
        myListTwo.add((Integer) 3);
        myListTwo.add((Integer) 5);
        myListTwo.add((Integer) 10);
        myListTwo.add((Integer) 23);
        myListTwo.add((Integer) 5);
        myListTwo.add((Integer) 25);

        System.out.println("myListTwo:");
        myListTwo.print();

        System.out.println("Remove Integer 3");
        myListTwo.remove((Integer) 3);
        myListTwo.print();

        System.out.println("Remove value 23");
        myListTwo.removeValue(23);
        myListTwo.print();

        System.out.println("Remove all 5");
        myListTwo.removeValues(5);
        myListTwo.print();
    }
}
